Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.groups.pags
Class PersonAttributesGroupStore.GroupDefinition

    java.lang.Object
      org.jasig.portal.groups.pags.PersonAttributesGroupStore.GroupDefinition

Enclosing class:
  PersonAttributesGroupStore

    public static class PersonAttributesGroupStore.GroupDefinition

extends java.lang.Object

Field Summary
`private java.lang.String` | `description`
`private java.lang.String` | `key`
`private java.util.List` | `members`
`private java.lang.String` | `name`
`private java.util.List` | `testGroups`

Constructor Summary
`PersonAttributesGroupStore.GroupDefinition()`

Method Summary
`void` | `addMember(java.lang.String key)`
`void` | `addTestGroup(PersonAttributesGroupStore.TestGroup testGroup)`
`boolean` | `contains(IPerson person)`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getKey()`
`java.lang.String` | `getName()`
`boolean` | `hasMember(java.lang.String key)`
`void` | `setDescription(java.lang.String description)`
`void` | `setKey(java.lang.String key)`
`void` | `setName(java.lang.String name)`
`boolean` | `test(IPerson person)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### key

    private java.lang.String key

### name

    private java.lang.String name

### description

    private java.lang.String description

### members

    private java.util.List members

### testGroups

    private java.util.List testGroups

Constructor Detail

### PersonAttributesGroupStore.GroupDefinition

    public PersonAttributesGroupStore.GroupDefinition()

Method Detail

### setKey

    public void setKey(java.lang.String key)

### getKey

    public java.lang.String getKey()

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

### setDescription

    public void setDescription(java.lang.String description)

### getDescription

    public java.lang.String getDescription()

### addMember

    public void addMember(java.lang.String key)

### hasMember

    public boolean hasMember(java.lang.String key)

### addTestGroup

    public void addTestGroup(PersonAttributesGroupStore.TestGroup testGroup)

### contains

    public boolean contains(IPerson person)

### test

    public boolean test(IPerson person)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD